%define	name	slune
%define	oname	Slune
%define	version	0.7b
%define	release	2mdk
%define	Summary	A multiplayer 3D racing and car-crashing game in Python

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.tar.bz2
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python >= 2.2 tkinter soya >= 0.7c pyopenal >= 0.1.4 py2play >= 0.1.7 pyvorbis
Url:		http://home.gna.org/oomadness/en/slune/

%description
A 3D racing and car-crashing game in Python, with multiplayer mode.
In this game, Gnu and Tux must provide AIDS medicine for Africa.
Includes a multiplayer mode.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT --install-purelib %{_gamesdatadir} --install-scripts %{_gamesbindir} --install-data %{_gamesdatadir} --no-lang

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="%{oname}"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 ./images/slune.16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 ./images/slune.32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 ./images/slune.48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#It's no es nor pt translatio,but the directory exists, it won't build if we don't delete it
%{__rm} -rf ./locale/es
%{__rm} -rf ./locale/pt

#copy the .mo file from the package to /usr/share/locale
for f in ./locale/*
     do
     %{__install} ./$f/LC_MESSAGES/%{name}.mo -D ${RPM_BUILD_ROOT}%{_datadir}/$f/LC_MESSAGES/%{name}.mo
done

%find_lang %{name}

# The English-localized slune.mo is used as default translation,
# and so it is not put here. This file is REQUIRED !!
# Without it, e.g. Spanish users cannot play in English. They can't play at all !

perl -pi -e "s#\%lang\(en\) ##g" slune.lang

%post
%{update_menus}

%postun
%{clean_menus}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README README.fr LICENSE AUTHORS CHANGES manual.fr.pdf
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}

%changelog 
* Mon Aug 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7b-2mdk
- fix dependency suckage (fixes #10352)
- update url

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7b-1mdk
- 0.7b
- update versions requirements on dependencies
- fix doc permissions

* Tue Dec 23 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-2mdk
- add pyvorbis to requires
- fix my formatting again *grmpf!*
- cleanups

* Mon Dec 22 2003 Pierre Hugues Husson <phh@sidenux.ath.cx> 0.6.1-1mdk
- 0.6.1

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.5-1mdk
- 0.5

* Sat Apr 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4-1mdk
- spec file fixes
- from Jean-Baptiste Lamy <jiba@tuxfamily.org>
  - new version
  - icons and nb translation have been integrated to Slune
  - better description
  - removed soundwrapper (Slune is not binary => don't work; and OpenAL is normally
    able to figure out the sound system to use (ESD, ARTS, OSS,...))
  - move stuff from %{_datadir}/%{name} to %{_gamesdatadir}/%{name}
  
* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-2mdk
- corrected group
- added nb translation

* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-1mdk
- initial mdk release
